interactions:
- request:
    body: '{"apiVersion": "v1", "kind": "Namespace", "metadata": {"name": "tool-test-account-normal"}}'
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: POST
    uri: https://10.96.0.1/api/v1/namespaces
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"36e1758f-9049-47ff-bb35-7257bbe3236e","resourceVersion":"669351","creationTimestamp":"2024-11-05T14:51:15Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:15Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Active"}}

        '
    headers:
      Audit-Id:
      - 7c452e1d-8386-49da-9087-5891992d2ccc
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '560'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:15 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 201
      message: Created
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"36e1758f-9049-47ff-bb35-7257bbe3236e","resourceVersion":"669351","creationTimestamp":"2024-11-05T14:51:15Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:15Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Active"}}

        '
    headers:
      Audit-Id:
      - b4ba96ba-5f99-4604-93ef-6527f0af1cdf
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '560'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:15 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: DELETE
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"36e1758f-9049-47ff-bb35-7257bbe3236e","resourceVersion":"669354","creationTimestamp":"2024-11-05T14:51:15Z","deletionTimestamp":"2024-11-05T14:51:15Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:15Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - eedd99a9-daf8-4e09-a92f-f4cc41c4d91c
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:15 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"36e1758f-9049-47ff-bb35-7257bbe3236e","resourceVersion":"669354","creationTimestamp":"2024-11-05T14:51:15Z","deletionTimestamp":"2024-11-05T14:51:15Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:15Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - d3066f70-cb49-4e52-8ea5-e721474c3b97
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:15 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"36e1758f-9049-47ff-bb35-7257bbe3236e","resourceVersion":"669354","creationTimestamp":"2024-11-05T14:51:15Z","deletionTimestamp":"2024-11-05T14:51:15Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:15Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 4792a911-554a-4f9c-937b-4fa58f9242eb
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:16 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"36e1758f-9049-47ff-bb35-7257bbe3236e","resourceVersion":"669354","creationTimestamp":"2024-11-05T14:51:15Z","deletionTimestamp":"2024-11-05T14:51:15Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:15Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - e10a9929-294b-4be0-ad2c-cf9b06ef3d06
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:16 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"36e1758f-9049-47ff-bb35-7257bbe3236e","resourceVersion":"669354","creationTimestamp":"2024-11-05T14:51:15Z","deletionTimestamp":"2024-11-05T14:51:15Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:15Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - c4bb7c2c-e07a-4843-8036-4c1b4d01df42
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:17 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"36e1758f-9049-47ff-bb35-7257bbe3236e","resourceVersion":"669354","creationTimestamp":"2024-11-05T14:51:15Z","deletionTimestamp":"2024-11-05T14:51:15Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:15Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 4e448cf3-4820-447c-88bb-ea4835e0fe9c
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:17 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"36e1758f-9049-47ff-bb35-7257bbe3236e","resourceVersion":"669354","creationTimestamp":"2024-11-05T14:51:15Z","deletionTimestamp":"2024-11-05T14:51:15Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:15Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 40d24b64-cb31-480f-b2f6-3b2b6b3c8a5c
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:18 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"36e1758f-9049-47ff-bb35-7257bbe3236e","resourceVersion":"669354","creationTimestamp":"2024-11-05T14:51:15Z","deletionTimestamp":"2024-11-05T14:51:15Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:15Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 89b3327c-c6ef-4c8f-b783-2950021e2224
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:18 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"36e1758f-9049-47ff-bb35-7257bbe3236e","resourceVersion":"669354","creationTimestamp":"2024-11-05T14:51:15Z","deletionTimestamp":"2024-11-05T14:51:15Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:15Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 7e113c88-a798-41a4-b77c-14c99d282262
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:19 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"36e1758f-9049-47ff-bb35-7257bbe3236e","resourceVersion":"669354","creationTimestamp":"2024-11-05T14:51:15Z","deletionTimestamp":"2024-11-05T14:51:15Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:15Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - ff0c6a11-f72a-4d32-9bd6-f03b0fe15a79
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:20 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"36e1758f-9049-47ff-bb35-7257bbe3236e","resourceVersion":"669354","creationTimestamp":"2024-11-05T14:51:15Z","deletionTimestamp":"2024-11-05T14:51:15Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:15Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - c558709c-cd7d-4f1c-8c42-c1be36eb6478
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:20 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Status","apiVersion":"v1","metadata":{},"status":"Failure","message":"namespaces
        \"tool-test-account-normal\" not found","reason":"NotFound","details":{"name":"tool-test-account-normal","kind":"namespaces"},"code":404}

        '
    headers:
      Audit-Id:
      - d1626e5c-b2ae-4905-a098-f5006234e527
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '228'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:21 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 404
      message: Not Found
version: 1
